diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 432cdd7e..4f3b1449 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -1,41 +1,15 @@
-(function(root, factory) {
-
-  // Set up Backform appropriately for the environment. Start with AMD.
-  if (typeof define === 'function' && define.amd) {
-    define([
-      'sources/gettext', 'underscore', 'underscore.string', 'jquery',
-      'backbone', 'backform', 'backgrid', 'codemirror', 'spectrum',
-      'pgadmin.backgrid', 'select2'
-      ],
-     function(gettext, _, S, $, Backbone, Backform, Backgrid, CodeMirror) {
-      // Export global even in AMD case in case this script is loaded with
-      // others that may still expect a global Backform.
-      return factory(root, gettext, _, S, $, Backbone, Backform, Backgrid, CodeMirror);
-    });
-
-  // Next for Node.js or CommonJS. jQuery may not be needed as a module.
-  } else if (typeof exports !== 'undefined') {
-    var _ = require('underscore') || root._,
-      $ = root.jQuery || root.$ || root.Zepto || root.ender,
-      Backbone = require('backbone') || root.Backbone,
-      Backform = require('backform') || root.Backform,
-      Backgrid = require('backgrid') || root.Backgrid,
-      CodeMirror = require('codemirror') || root.CodeMirror,
-      S = require('underscore.string'),
-      gettext = require('sources/gettext');
-    factory(root, gettext, _, S, $, Backbone, Backform, Backgrid, CodeMirror);
-  // Finally, as a browser global.
-  } else {
-    factory(root, root.gettext, root._, root.s, (root.jQuery || root.Zepto || root.ender || root.$), root.Backbone, root.Backform, root.Backgrid, root.CodeMirror);
-  }
-}(this, function(root, gettext, _, S, $, Backbone, Backform, Backgrid, CodeMirror) {
+define([
+  'sources/gettext', 'underscore', 'underscore.string', 'jquery',
+  'backbone', 'backform', 'backgrid', 'codemirror', 'spectrum',
+  'pgadmin.backgrid', 'select2',
+], function(gettext, _, S, $, Backbone, Backform, Backgrid, CodeMirror) {
 
   var pgAdmin = (window.pgAdmin = window.pgAdmin || {});
 
   pgAdmin.editableCell = function() {
     if (this.attributes && !_.isUndefined(this.attributes.disabled) &&
-        !_.isNull(this.attributes.disabled)) {
-      if(_.isFunction(this.attributes.disabled)) {
+      !_.isNull(this.attributes.disabled)) {
+      if (_.isFunction(this.attributes.disabled)) {
         return !(this.attributes.disabled.apply(this, arguments));
       }
       if (_.isBoolean(this.attributes.disabled)) {
@@ -47,15 +21,15 @@
   // HTML markup global class names. More can be added by individual controls
   // using _.extend. Look at RadioControl as an example.
   _.extend(Backform, {
-    controlLabelClassName: "control-label pg-el-sm-3 pg-el-xs-12",
-    controlsClassName: "pgadmin-controls pg-el-sm-9 pg-el-xs-12",
-    groupClassName: "pgadmin-control-group form-group pg-el-xs-12",
-    setGroupClassName: "set-group pg-el-xs-12",
-    tabClassName: "backform-tab pg-el-xs-12",
-    setGroupContentClassName: "fieldset-content pg-el-xs-12"
-    });
+    controlLabelClassName: 'control-label pg-el-sm-3 pg-el-xs-12',
+    controlsClassName: 'pgadmin-controls pg-el-sm-9 pg-el-xs-12',
+    groupClassName: 'pgadmin-control-group form-group pg-el-xs-12',
+    setGroupClassName: 'set-group pg-el-xs-12',
+    tabClassName: 'backform-tab pg-el-xs-12',
+    setGroupContentClassName: 'fieldset-content pg-el-xs-12',
+  });
 
-  var controlMapper = Backform.controlMapper = {
+  Backform.controlMapper = {
     'int': ['uneditable-input', 'numeric', 'integer'],
     'text': ['uneditable-input', 'input', 'string'],
     'numeric': ['uneditable-input', 'numeric', 'numeric'],
@@ -66,13 +40,13 @@
     'multiline': ['textarea', 'textarea', 'string'],
     'collection': ['sub-node-collection', 'sub-node-collection', 'string'],
     'uniqueColCollection': ['unique-col-collection', 'unique-col-collection', 'string'],
-    'switch' : 'switch',
+    'switch': 'switch',
     'select2': 'select2',
     'note': 'note',
-    'color': 'color'
+    'color': 'color',
   };
 
-  var getMappedControl = Backform.getMappedControl = function(type, mode) {
+  Backform.getMappedControl = function(type, mode) {
     if (type in Backform.controlMapper) {
       var m = Backform.controlMapper[type];
 
@@ -80,39 +54,42 @@
         return m;
       }
 
-      var idx = 1, len = _.size(m);
+      var idx = 1,
+        len = _.size(m);
 
       switch (mode) {
-        case 'properties':
-          idx = 0;
-          break;
-        case 'edit':
-        case 'create':
-        case 'control':
-          idx = 1;
-          break;
-        case 'cell':
-          idx = 2;
-          break;
-        default:
-          idx = 0;
-          break;
+      case 'properties':
+        idx = 0;
+        break;
+      case 'edit':
+      case 'create':
+      case 'control':
+        idx = 1;
+        break;
+      case 'cell':
+        idx = 2;
+        break;
+      default:
+        idx = 0;
+        break;
       }
 
       return m[idx > len ? 0 : idx];
     }
     return type;
-  }
+  };
 
 
   var BackformControlInit = Backform.Control.prototype.initialize,
-      BackformControlRemove = Backform.Control.prototype.remove;
+    BackformControlRemove = Backform.Control.prototype.remove;
 
   // Override the Backform.Control to allow to track changes in dependencies,
   // and rerender the View element
   _.extend(Backform.Control.prototype, {
 
-    defaults: _.extend(Backform.Control.prototype.defaults, {helpMessage: null}),
+    defaults: _.extend(Backform.Control.prototype.defaults, {
+      helpMessage: null,
+    }),
 
     initialize: function() {
       BackformControlInit.apply(this, arguments);
@@ -125,7 +102,7 @@
         _.each(deps, function(d) {
           var attrArr = d.split('.');
           var name = attrArr.shift();
-          self.listenTo(self.model, "change:" + name, self.render);
+          self.listenTo(self.model, 'change:' + name, self.render);
         });
       }
     },
@@ -133,10 +110,10 @@
     remove: function() {
       // Remove the events for the dependent fields in the model
       var self = this,
-          deps = self.field.get('deps');
+        deps = self.field.get('deps');
 
-      self.stopListening(self.model, "change:" + name, self.render);
-      self.stopListening(self.model.errorModel, "change:" + name, self.updateInvalid);
+      self.stopListening(self.model, 'change:' + name, self.render);
+      self.stopListening(self.model.errorModel, 'change:' + name, self.updateInvalid);
 
       if (deps && _.isArray(deps)) {
         _.each(deps, function(d) {
@@ -144,7 +121,7 @@
           var attrArr = d.split('.');
           var name = attrArr.shift();
 
-          self.stopListening(self.model, "change:" + name, self.render);
+          self.stopListening(self.model, 'change:' + name, self.render);
         });
       }
 
@@ -160,42 +137,41 @@
     },
 
     template: _.template([
-                  '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
-                  '<div class="<%=Backform.controlsClassName%>">',
-                  '  <span class="<%=Backform.controlClassName%> uneditable-input" <%=disabled ? "disabled" : ""%>>',
-                  '    <%-value%>',
-                  '  </span>',
-                  '</div>',
-                  '<% if (helpMessage && helpMessage.length) { %>',
-                  '  <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
-                  '<% } %>',
-                  ].join("\n")),
+      '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
+      '<div class="<%=Backform.controlsClassName%>">',
+      '  <span class="<%=Backform.controlClassName%> uneditable-input" <%=disabled ? "disabled" : ""%>>',
+      '    <%-value%>',
+      '  </span>',
+      '</div>',
+      '<% if (helpMessage && helpMessage.length) { %>',
+      '  <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
+      '<% } %>',
+    ].join('\n')),
 
     clearInvalid: function() {
       this.$el.removeClass(Backform.errorClassName);
-      this.$el.find(".pgadmin-control-error-message").remove();
+      this.$el.find('.pgadmin-control-error-message').remove();
       return this;
     },
 
     updateInvalid: function() {
       var self = this,
-          errorModel = this.model.errorModel;
+        errorModel = this.model.errorModel;
 
       if (!(errorModel instanceof Backbone.Model)) return this;
 
       this.clearInvalid();
 
       /*
-      * Find input which have name attribute.
-      */
+       * Find input which have name attribute.
+       */
       this.$el.find(':input[name]').not('button').each(function(ix, el) {
-        var attrArr = $(el).attr('name').split('.'),
-        name = attrArr.shift(),
-        path = attrArr.join('.'),
-        error = self.keyPathAccessor(errorModel.toJSON(), $(el).attr('name'));
+        var error = self.keyPathAccessor(
+          errorModel.toJSON(), $(el).attr('name')
+        );
 
-      if (_.isEmpty(error)) return;
-      self.$el.addClass(Backform.errorClassName);
+        if (_.isEmpty(error)) return;
+        self.$el.addClass(Backform.errorClassName);
       });
     },
 
@@ -205,26 +181,26 @@
      */
     render: function() {
       var field = _.defaults(this.field.toJSON(), this.defaults),
-          attributes = this.model.toJSON(),
-          attrArr = field.name.split('.'),
-          name = attrArr.shift(),
-          path = attrArr.join('.'),
-          rawValue = this.keyPathAccessor(attributes[name], path),
-          data = _.extend(field, {
-            rawValue: rawValue,
-            value: this.formatter.fromRaw(rawValue, this.model),
-            attributes: attributes,
-            formatter: this.formatter
-          }),
-          evalF = function(f, d, m) {
-            return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
-          };
+        attributes = this.model.toJSON(),
+        attrArr = field.name.split('.'),
+        name = attrArr.shift(),
+        path = attrArr.join('.'),
+        rawValue = this.keyPathAccessor(attributes[name], path),
+        data = _.extend(field, {
+          rawValue: rawValue,
+          value: this.formatter.fromRaw(rawValue, this.model),
+          attributes: attributes,
+          formatter: this.formatter,
+        }),
+        evalF = function(f, d, m) {
+          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        };
 
       // Evaluate the disabled, visible, and required option
       _.extend(data, {
         disabled: evalF(data.disabled, data, this.model),
-        visible:  evalF(data.visible, data, this.model),
-        required: evalF(data.required, data, this.model)
+        visible: evalF(data.visible, data, this.model),
+        required: evalF(data.required, data, this.model),
       });
 
       // Clean up first
@@ -237,7 +213,7 @@
       this.updateInvalid();
 
       return this;
-    }
+    },
   });
 
   /*
@@ -247,10 +223,10 @@
   _.extend(
     Backform.InputControl.prototype, {
       events: {
-        "change input": "onChange",
-        "blur input": "onChange",
-        "keyup input": "onKeyUp",
-        "focus input": "clearInvalid"
+        'change input': 'onChange',
+        'blur input': 'onChange',
+        'keyup input': 'onKeyUp',
+        'focus input': 'clearInvalid',
       },
       onKeyUp: function(ev) {
         if (this.key_timeout) {
@@ -260,7 +236,7 @@
         this.keyup_timeout = setTimeout(function() {
           this.onChange(ev);
         }.bind(this), 400);
-      }
+      },
     });
 
   /*
@@ -274,15 +250,18 @@
   _.extend(
     Backform.TextareaControl.prototype, {
       defaults: _.extend(
-        Backform.TextareaControl.prototype.defaults,
-        {rows: 5, helpMessage: null, maxlength: null}
+        Backform.TextareaControl.prototype.defaults, {
+          rows: 5,
+          helpMessage: null,
+          maxlength: null,
+        }
       ),
-      events : {
-        "change textarea": "onChange",
-        "keyup textarea": "onKeyUp",
-        "paste textarea": "onChange",
-        "selectionchange textarea": "onChange",
-        "focus textarea": "clearInvalid"
+      events: {
+        'change textarea': 'onChange',
+        'keyup textarea': 'onKeyUp',
+        'paste textarea': 'onChange',
+        'selectionchange textarea': 'onChange',
+        'focus textarea': 'clearInvalid',
       },
       template: _.template([
         '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
@@ -298,8 +277,8 @@
         '  <% if (helpMessage && helpMessage.length) { %>',
         '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
         '  <% } %>',
-        '</div>'
-      ].join("\n")),
+        '</div>',
+      ].join('\n')),
       onKeyUp: function(ev) {
         if (this.key_timeout) {
           clearTimeout(this.key_timeout);
@@ -308,7 +287,7 @@
         this.keyup_timeout = setTimeout(function() {
           this.onChange(ev);
         }.bind(this), 400);
-      }
+      },
     });
 
   /*
@@ -327,7 +306,7 @@
         rawValue: rawValue,
         value: this.formatter.fromRaw(rawValue, this.model),
         attributes: attributes,
-        formatter: this.formatter
+        formatter: this.formatter,
       }),
       evalF = function(f, d, m) {
         return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
@@ -336,16 +315,16 @@
     // Evaluate the disabled, visible, and required option
     _.extend(data, {
       disabled: evalF(data.disabled, data, this.model),
-      visible:  evalF(data.visible, data, this.model),
-      required: evalF(data.required, data, this.model)
+      visible: evalF(data.visible, data, this.model),
+      required: evalF(data.required, data, this.model),
     });
     // Evaluation the options
     if (_.isFunction(data.options)) {
       try {
-        data.options = data.options(this)
-      } catch(e) {
+        data.options = data.options(this);
+      } catch (e) {
         // Do nothing
-        data.options = []
+        data.options = [];
         this.model.trigger('pgadmin-view:transform:error', this.model, this.field, e);
       }
     }
@@ -361,9 +340,11 @@
 
     return this;
   };
-  _.extend(Backform.SelectControl.prototype.defaults, {helpMessage: null});
+  _.extend(Backform.SelectControl.prototype.defaults, {
+    helpMessage: null,
+  });
 
-  var ReadonlyOptionControl = Backform.ReadonlyOptionControl = Backform.SelectControl.extend({
+  Backform.ReadonlyOptionControl = Backform.SelectControl.extend({
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%>">',
@@ -376,12 +357,12 @@
       '<% if (helpMessage && helpMessage.length) { %>',
       '  <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '<% } %>',
-      '</div>'
-    ].join("\n")),
+      '</div>',
+    ].join('\n')),
     events: {},
     getValueFromDOM: function() {
-      return this.formatter.toRaw(this.$el.find("span").text(), this.model);
-    }
+      return this.formatter.toRaw(this.$el.find('span').text(), this.model);
+    },
   });
 
   /*
@@ -393,7 +374,7 @@
     Backform.RadioControl.prototype, {
       updateInvalid: function() {
         var self = this,
-            errorModel = this.model.errorModel;
+          errorModel = this.model.errorModel;
 
         if (!(errorModel instanceof Backbone.Model)) return this;
 
@@ -403,38 +384,35 @@
          * Find input which have name attribute.
          */
         this.$el.find(':input[name]').not('button').each(function(ix, el) {
-          var attrArr = $(el).attr('name').split('.'),
-              name = attrArr.shift(),
-              path = attrArr.join('.'),
-              error = self.keyPathAccessor(
-                errorModel.toJSON(), $(el).attr('name')
-              );
+          var error = self.keyPathAccessor(
+            errorModel.toJSON(), $(el).attr('name')
+          );
 
           if (_.isEmpty(error)) return;
 
           self.$el.addClass(Backform.errorClassName).find(
             '[type="radio"]'
           ).append(
-          $("<div></div>").addClass(
-            'pgadmin-control-error-message pg-el-xs-offset-4 pg-el-xs-8 pg-el-xs-8 help-block'
-          ).text(error));
+            $('<div></div>').addClass(
+              'pgadmin-control-error-message pg-el-xs-offset-4 pg-el-xs-8 pg-el-xs-8 help-block'
+            ).text(error));
         });
-      }
+      },
     });
 
   // Requires the Bootstrap Switch to work.
-  var SwitchControl = Backform.SwitchControl = Backform.InputControl.extend({
+  Backform.SwitchControl = Backform.InputControl.extend({
     defaults: {
-      label: "",
+      label: '',
       options: {
         onText: gettext('Yes'),
         offText: gettext('No'),
         onColor: 'success',
         offColor: 'primary',
-        size: 'small'
+        size: 'small',
       },
       extraClasses: [],
-      helpMessage: null
+      helpMessage: null,
     },
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
@@ -448,47 +426,51 @@
       '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '  <% } %>',
       '</div>',
-    ].join("\n")),
+    ].join('\n')),
     getValueFromDOM: function() {
       return this.formatter.toRaw(
-          this.$input.prop('checked'),
-          this.model
-          );
+        this.$input.prop('checked'),
+        this.model
+      );
+    },
+    events: {
+      'switchChange.bootstrapSwitch': 'onChange',
     },
-    events: {'switchChange.bootstrapSwitch': 'onChange'},
     render: function() {
       var field = _.defaults(this.field.toJSON(), this.defaults),
-          attributes = this.model.toJSON(),
-          attrArr = field.name.split('.'),
-          name = attrArr.shift(),
-          path = attrArr.join('.'),
-          rawValue = this.keyPathAccessor(attributes[name], path),
-          evalF = function(f, d, m) {
-            return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
-            },
-          options = _.defaults({
-              disabled: evalF(field.disabled, field, this.model)
-            }, this.field.get('options'), this.defaults.options,
-            $.fn.bootstrapSwitch.defaults);
+        attributes = this.model.toJSON(),
+        attrArr = field.name.split('.'),
+        name = attrArr.shift(),
+        path = attrArr.join('.'),
+        rawValue = this.keyPathAccessor(attributes[name], path),
+        evalF = function(f, d, m) {
+          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        },
+        options = _.defaults({
+          disabled: evalF(field.disabled, field, this.model),
+        }, this.field.get('options'), this.defaults.options,
+          $.fn.bootstrapSwitch.defaults);
 
       Backform.InputControl.prototype.render.apply(this, arguments);
-      this.$input = this.$el.find("input[type=checkbox]").first();
+      this.$input = this.$el.find('input[type=checkbox]').first();
 
       //Check & set additional properties
       this.$input.bootstrapSwitch(
-          _.extend(options, {'state': rawValue})
-          );
+        _.extend(options, {
+          'state': rawValue,
+        })
+      );
 
       return this;
-    }
+    },
   });
 
   // Backform Dialog view (in bootstrap tabbular form)
   // A collection of field models.
-  var Dialog = Backform.Dialog = Backform.Form.extend({
+  Backform.Dialog = Backform.Form.extend({
     /* Array of objects having attributes [label, fields] */
     schema: undefined,
-    tagName: "div",
+    tagName: 'div',
     legend: true,
     className: function() {
       return 'pg-el-sm-12 pg-el-md-12 pg-el-lg-12 pg-el-xs-12';
@@ -520,10 +502,12 @@
         '<li role="presentation" <%=disabled ? "disabled" : ""%>>',
         ' <a data-toggle="tab" data-tab-index="<%=tabIndex%>" href="#<%=cId%>"',
         '  id="<%=hId%>" aria-controls="<%=cId%>">',
-        '<%=label%></a></li>'].join(" ")),
+        '<%=label%></a></li>',
+      ].join(' ')),
       'panel': _.template(
         '<div role="tabpanel" class="tab-pane <%=label%> pg-el-sm-12 pg-el-md-12 pg-el-lg-12 pg-el-xs-12 fade" id="<%=cId%>" aria-labelledby="<%=hId%>"></div>'
-      )},
+      ),
+    },
     render: function() {
       this.cleanup();
 
@@ -534,15 +518,15 @@
         controls = this.controls,
         tmpls = this.template,
         self = this,
-        idx=(this.tabIndex * 100),
+        idx = (this.tabIndex * 100),
         evalF = function(f, d, m) {
-            return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
-          };
+          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        };
 
       this.$el
-          .empty()
-          .attr('role', 'tabpanel')
-          .attr('class', _.result(this, 'tabPanelClassName'));
+        .empty()
+        .attr('role', 'tabpanel')
+        .attr('class', _.result(this, 'tabPanelClassName'));
       m.panelEl = this.$el;
 
       var tabHead = $('<ul class="nav nav-tabs" role="tablist"></ul>')
@@ -555,17 +539,19 @@
         if (!o.version_compatible || !evalF(o.visible, o, m)) {
           return;
         }
-        var el = $((tmpls['panel'])(_.extend(o, {'tabIndex': idx})))
-              .appendTo(tabContent)
-              .removeClass('collapse').addClass('collapse'),
-            h = $((tmpls['header'])(o)).appendTo(tabHead);
+        var el = $((tmpls['panel'])(_.extend(o, {
+          'tabIndex': idx,
+        })))
+          .appendTo(tabContent)
+          .removeClass('collapse').addClass('collapse');
+        $((tmpls['header'])(o)).appendTo(tabHead);
 
         o.fields.each(function(f) {
-          var cntr = new (f.get("control")) ({
+          var cntr = new(f.get('control'))({
             field: f,
             model: m,
             dialog: self,
-            tabIndex: idx
+            tabIndex: idx,
           });
           el.append(cntr.render().$el);
           controls.push(cntr);
@@ -574,22 +560,25 @@
         tabHead.find('a[data-toggle="tab"]').off(
           'shown.bs.tab'
         ).off('hidden.bs.tab').on(
-          'hidden.bs.tab', function() {
+          'hidden.bs.tab',
+          function() {
             self.hidden_tab = $(this).data('tabIndex');
-            }).on('shown.bs.tab', function() {
-              var self = this;
-              self.shown_tab = $(self).data('tabIndex');
-              m.trigger('pg-property-tab-changed', {
-                'model': m, 'shown': self.shown_tab, 'hidden': self.hidden_tab,
-                'tab': self
-              });
+          }).on('shown.bs.tab', function() {
+            var self = this;
+            self.shown_tab = $(self).data('tabIndex');
+            m.trigger('pg-property-tab-changed', {
+              'model': m,
+              'shown': self.shown_tab,
+              'hidden': self.hidden_tab,
+              'tab': self,
             });
+          });
       });
 
       var makeActive = tabHead.find('[id="' + c + '"]').first();
       if (makeActive.length == 1) {
         makeActive.parent().addClass('active');
-        tabContent.find('#' + makeActive.attr("aria-controls"))
+        tabContent.find('#' + makeActive.attr('aria-controls'))
           .addClass('in active');
       } else {
         tabHead.find('[role="presentation"]').first().addClass('active');
@@ -602,29 +591,41 @@
       if (opts && opts.data) {
         if (this.model) {
           if (this.model.reset) {
-            this.model.reset({validate: false, silent: true, stop: true});
+            this.model.reset({
+              validate: false,
+              silent: true,
+              stop: true,
+            });
           }
-          this.model.clear({validate: false, silent: true, stop: true});
-          delete (this.model);
+          this.model.clear({
+            validate: false,
+            silent: true,
+            stop: true,
+          });
+          delete(this.model);
         }
         if (this.errorModel) {
-          this.errorModel.clear({validate: false, silent: true, stop: true});
-          delete (this.errorModel);
+          this.errorModel.clear({
+            validate: false,
+            silent: true,
+            stop: true,
+          });
+          delete(this.errorModel);
         }
       }
       this.cleanup();
       Backform.Form.prototype.remove.apply(this, arguments);
-    }
+    },
   });
 
-  var Fieldset = Backform.Fieldset = Backform.Dialog.extend({
+  Backform.Fieldset = Backform.Dialog.extend({
     className: function() {
       return 'set-group pg-el-xs-12';
     },
     tabPanelClassName: function() {
       return Backform.tabClassName;
     },
-    fieldsetClass:  Backform.setGroupClassName,
+    fieldsetClass: Backform.setGroupClassName,
     legendClass: 'badge',
     contentClass: Backform.setGroupContentClassName + ' collapse in',
     template: {
@@ -633,30 +634,31 @@
         ' <% if (legend != false) { %>',
         '  <legend class="<%=legendClass%>" <%=collapse ? "data-toggle=\'collapse\'" : ""%> data-target="#<%=cId%>"><%=collapse ? "<span class=\'caret\'></span>" : "" %><%=label%></legend>',
         ' <% } %>',
-        '</fieldset>'
-      ].join("\n")),
+        '</fieldset>',
+      ].join('\n')),
       'content': _.template(
         '  <div id="<%= cId %>" class="<%=contentClass%>"></div>'
-    )},
+      ),
+    },
     collapse: true,
     render: function() {
       this.cleanup();
 
       var m = this.model,
-          $el = this.$el,
-          tmpl = this.template,
-          controls = this.controls,
-          data = {
-            'className': _.result(this, 'className'),
-            'fieldsetClass': _.result(this, 'fieldsetClass'),
-            'legendClass': _.result(this, 'legendClass'),
-            'contentClass': _.result(this, 'contentClass'),
-            'collapse': _.result(this, 'collapse')
-          },
-          idx=(this.tabIndex * 100),
-          evalF = function(f, d, m) {
-            return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
-          };
+        $el = this.$el,
+        tmpl = this.template,
+        controls = this.controls,
+        data = {
+          'className': _.result(this, 'className'),
+          'fieldsetClass': _.result(this, 'fieldsetClass'),
+          'legendClass': _.result(this, 'legendClass'),
+          'contentClass': _.result(this, 'contentClass'),
+          'collapse': _.result(this, 'collapse'),
+        },
+        idx = (this.tabIndex * 100),
+        evalF = function(f, d, m) {
+          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        };
 
       this.$el.empty();
 
@@ -670,14 +672,14 @@
           return;
 
         var d = _.extend({}, data, o),
-            h = $((tmpl['header'])(d)).appendTo($el),
-            el = $((tmpl['content'])(d)).appendTo(h);
+          h = $((tmpl['header'])(d)).appendTo($el),
+          el = $((tmpl['content'])(d)).appendTo(h);
 
         o.fields.each(function(f) {
-          var cntr = new (f.get("control")) ({
+          var cntr = new(f.get('control'))({
             field: f,
             model: m,
-            tabIndex: idx
+            tabIndex: idx,
           });
           el.append(cntr.render().$el);
           controls.push(cntr);
@@ -687,18 +689,20 @@
       return this;
     },
     getValueFromDOM: function() {
-      return "";
+      return '';
     },
-    events: {}
+    events: {},
   });
 
-  var generateGridColumnsFromModel = Backform.generateGridColumnsFromModel =
+  Backform.generateGridColumnsFromModel =
     function(node_info, m, type, cols, node) {
-      var groups = Backform.generateViewSchema(node_info, m, type, node, true, true),
-          schema = [],
-          columns = [],
-          func,
-          idx = 0;
+      var groups = Backform.generateViewSchema(
+          node_info, m, type, node, true, true
+        ),
+        schema = [],
+        columns = [],
+        func,
+        idx = 0;
 
       // Create another array if cols is of type object & store its keys in that array,
       // If cols is object then chances that we have custom width class attached with in.
@@ -725,10 +729,11 @@
             f.headerCell = Backgrid.Extension.CustomHeaderCell;
           }
         };
-      } else if(_.isObject(cols)) {
+      } else if (_.isObject(cols)) {
         var tblCols = Object.keys(cols);
         func = function(f) {
-          var val = (f.name in cols) && cols[f.name];
+          var val = (f.name in cols) && cols[f.name],
+            i;
 
           if (_.isNull(val) || _.isUndefined(val)) {
             f.cell_priority = -1;
@@ -739,7 +744,7 @@
               f.cell_priority = val['index'];
               idx = (idx > val['index']) ? idx + 1 : val['index'];
             } else {
-              var i = _.indexOf(tblCols, f.name);
+              i = _.indexOf(tblCols, f.name);
               f.cell_priority = idx = ((i > idx) ? i : idx);
               idx = idx + 1;
             }
@@ -758,7 +763,7 @@
             }
           }
           if (_.isString(val)) {
-            var i = _.indexOf(tblCols, f.name);
+            i = _.indexOf(tblCols, f.name);
 
             f.cell_priority = idx = ((i > idx) ? i : idx);
             idx = idx + 1;
@@ -772,7 +777,7 @@
       }
 
       // Prepare columns for backgrid
-      _.each(groups, function(group, key) {
+      _.each(groups, function(group) {
         _.each(group.fields, function(f) {
           if (!f.cell) {
             return;
